srecord: srecord::stm32 Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::stm32 Class Reference

The stm32 class is used to represent the running value of a 32-bit cyclic redundancy check of series of bytes, for the STM32 series of microcontrollers. More...

`#include <stm32.h>`

## Public Member Functions
virtual | ~stm32 ()
| The destructor.
| stm32 ()
| The default constructor.
| stm32 (const stm32 &)
| The copy constructor.
stm32 & | operator= (const stm32 &)
| The assignment operator.
unsigned long | get (void) const
| The get method is used to obtain the running value of the cyclic redundancy check.
void | next (unsigned char c)
| The next method is used to advance the state by one byte.
void | nextbuf (const void *data, size_t data_size)
| The nextbuf method is used to advance the state by a series of bytes.

## Static Public Attributes
static const size_t | wordsize = 4
| Word size on the STM32.

## Detailed Description

The stm32 class is used to represent the running value of a 32-bit cyclic redundancy check of series of bytes, for the STM32 series of microcontrollers.

http://www.st.com/

Definition at line 42 of file stm32.h.

## Constructor & Destructor Documentation

## ◆ ~stm32()

virtual srecord::stm32::~stm32 | ( |  | ) |
| virtual

The destructor.

## ◆ stm32() [1/2]

srecord::stm32::stm32 | ( |  | ) |

The default constructor.

Referenced by operator=(), and stm32().

## ◆ stm32() [2/2]

srecord::stm32::stm32 | ( | const stm32 & |  | ) |

The copy constructor.

References stm32().

## Member Function Documentation

## ◆ operator=()

stm32 & srecord::stm32::operator= | ( | const stm32 & |  | ) |

The assignment operator.

References stm32().

## ◆ get()

unsigned long srecord::stm32::get | ( | void |  | ) | const

The get method is used to obtain the running value of the cyclic redundancy check.

## ◆ next()

void srecord::stm32::next | ( | unsigned char | c | ) |

The next method is used to advance the state by one byte.

## ◆ nextbuf()

void srecord::stm32::nextbuf | ( | const void * | data,
|  | size_t | data_size )

The nextbuf method is used to advance the state by a series of bytes.

## Member Data Documentation

## ◆ wordsize

const size_t srecord::stm32::wordsize = 4
| static

Word size on the STM32.

Definition at line 84 of file stm32.h.

The documentation for this class was generated from the following file:

- stm32.h